Bug 333700 - Digicam crashed when adding multiple tags
Summary: Digicam crashed when adding multiple tags
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Sqlite (show other bugs)
Version: 3.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-21 21:22 UTC by ki-mech
Modified: 2021-12-17 11:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ki-mech 2014-04-21 21:22:10 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.13.0
Qt Version: 4.8.6
Operating System: Linux 3.13.0-24-generic i686
Distribution: Ubuntu 14.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

1) Imported 10000 pictures (wored fine);
2) started adding tags, using old sqlite database from former digiKam installation (worked fine)
3) while going through photos and adding more tags it kept crashing sometimes (every 10 min or so??), mostly when adding new Tag-items (while entering the name of the tag). I added a tag to multiple photos often (though not every time when it crashed).

No active jobs where shown. When reloading and doing the same again, it works. I configured digiKam to write metadata to files automatically (but that should not matter - it finished writing changes long before the crashes).

The crash can be reproduced sometimes.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xace4f900 (LWP 3943))]

Thread 12 (Thread 0xace1cb40 (LWP 3950)):
#0  0xb7768424 in __kernel_vsyscall ()
#1  0xb4b6d7ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xad9cf442 in ?? () from /lib/i386-linux-gnu/libusb-1.0.so.0
#3  0xb326cf70 in start_thread (arg=0xace1cb40) at pthread_create.c:312
#4  0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 11 (Thread 0xa9d17b40 (LWP 3953)):
#0  0xb7768424 in __kernel_vsyscall ()
#1  0xb3270d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4b898ec in __pthread_cond_wait (cond=0x8c4e178, mutex=0x8c4e160) at forward.c:149
#3  0xb4e700f5 in wait (time=4294967295, this=0x8c4e160) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x8c4e0d4, mutex=mutex@entry=0x8c4e0d0, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820dd94 in Digikam::ScanController::run (this=0x8b7ba10) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#6  0xb4e6fb6f in QThreadPrivate::start (arg=0x8b7ba10) at thread/qthread_unix.cpp:349
#7  0xb326cf70 in start_thread (arg=0xa9d17b40) at pthread_create.c:312
#8  0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 10 (Thread 0xa93ffb40 (LWP 3954)):
#0  __pthread_mutex_unlock_usercnt (mutex=0xa8a00558, decr=1) at pthread_mutex_unlock.c:57
#1  0xb4b89b34 in pthread_mutex_unlock (mutex=0xa8a00558) at forward.c:194
#2  0xb2ee8140 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ea2df2 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ea337a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2ea3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4fb195f in QEventDispatcherGlib::processEvents (this=0xa8a00468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0xb4f80823 in QEventLoop::processEvents (this=this@entry=0xa93ff098, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4f80b49 in QEventLoop::exec (this=this@entry=0xa93ff098, flags=...) at kernel/qeventloop.cpp:204
#9  0xb4e6d23d in QThread::exec (this=this@entry=0x8c4f628) at thread/qthread.cpp:537
#10 0xb4f60c44 in QInotifyFileSystemWatcherEngine::run (this=0x8c4f628) at io/qfilesystemwatcher_inotify.cpp:265
#11 0xb4e6fb6f in QThreadPrivate::start (arg=0x8c4f628) at thread/qthread_unix.cpp:349
#12 0xb326cf70 in start_thread (arg=0xa93ffb40) at pthread_create.c:312
#13 0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 9 (Thread 0xa89ffb40 (LWP 3960)):
#0  0xb7768424 in __kernel_vsyscall ()
#1  0xb3270d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4b898ec in __pthread_cond_wait (cond=0x8e2c3c8, mutex=0x8e2c3b0) at forward.c:149
#3  0xb4e700f5 in wait (time=4294967295, this=0x8e2c3b0) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x8cbc530, mutex=mutex@entry=0x8cbc52c, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6a7c2b4 in Digikam::ParkingThread::run (this=0x8cbc520) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4e6fb6f in QThreadPrivate::start (arg=0x8cbc520) at thread/qthread_unix.cpp:349
#7  0xb326cf70 in start_thread (arg=0xa89ffb40) at pthread_create.c:312
#8  0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 8 (Thread 0xa7bffb40 (LWP 3961)):
#0  0xb2ee80f8 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2ea32b5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ea3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4fb195f in QEventDispatcherGlib::processEvents (this=0xa7200468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#4  0xb4f80823 in QEventLoop::processEvents (this=this@entry=0xa7bff098, flags=...) at kernel/qeventloop.cpp:149
#5  0xb4f80b49 in QEventLoop::exec (this=this@entry=0xa7bff098, flags=...) at kernel/qeventloop.cpp:204
#6  0xb4e6d23d in QThread::exec (this=this@entry=0x9099d10) at thread/qthread.cpp:537
#7  0xb4f60c44 in QInotifyFileSystemWatcherEngine::run (this=0x9099d10) at io/qfilesystemwatcher_inotify.cpp:265
#8  0xb4e6fb6f in QThreadPrivate::start (arg=0x9099d10) at thread/qthread_unix.cpp:349
#9  0xb326cf70 in start_thread (arg=0xa7bffb40) at pthread_create.c:312
#10 0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 7 (Thread 0x9841fb40 (LWP 4207)):
#0  0xb7768424 in __kernel_vsyscall ()
#1  0xb4b6d7ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2eb220b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ea33e8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ea3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4fb195f in QEventDispatcherGlib::processEvents (this=0xa9479bf8, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb4f80823 in QEventLoop::processEvents (this=this@entry=0x9841f098, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4f80b49 in QEventLoop::exec (this=this@entry=0x9841f098, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6a7b882 in Digikam::WorkerObjectRunnable::run (this=0xb3cd2e0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4e62f07 in QThreadPoolThread::run (this=0xa8016220) at concurrent/qthreadpool.cpp:108
#10 0xb4e6fb6f in QThreadPrivate::start (arg=0xa8016220) at thread/qthread_unix.cpp:349
#11 0xb326cf70 in start_thread (arg=0x9841fb40) at pthread_create.c:312
#12 0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 6 (Thread 0x97c1eb40 (LWP 4208)):
#0  0xb2ea29aa in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2ea32df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ea3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4fb195f in QEventDispatcherGlib::processEvents (this=0xa0e5ad10, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#4  0xb4f80823 in QEventLoop::processEvents (this=this@entry=0x97c1e098, flags=...) at kernel/qeventloop.cpp:149
#5  0xb4f80b49 in QEventLoop::exec (this=this@entry=0x97c1e098, flags=...) at kernel/qeventloop.cpp:204
#6  0xb6a7b882 in Digikam::WorkerObjectRunnable::run (this=0xa945aea8) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#7  0xb4e62f07 in QThreadPoolThread::run (this=0x9d51f00) at concurrent/qthreadpool.cpp:108
#8  0xb4e6fb6f in QThreadPrivate::start (arg=0x9d51f00) at thread/qthread_unix.cpp:349
#9  0xb326cf70 in start_thread (arg=0x97c1eb40) at pthread_create.c:312
#10 0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 5 (Thread 0xa1937b40 (LWP 4217)):
#0  __x86.get_pc_thunk.bx () at ../sysdeps/i386/crti.S:66

Thread 4 (Thread 0xa0a75b40 (LWP 5378)):
#0  0xb2ea04d8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2ea2d51 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ea337a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ea3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4fb195f in QEventDispatcherGlib::processEvents (this=0xa8081bc8, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#5  0xb4f80823 in QEventLoop::processEvents (this=this@entry=0xa0a75098, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4f80b49 in QEventLoop::exec (this=this@entry=0xa0a75098, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6a7b882 in Digikam::WorkerObjectRunnable::run (this=0xa9414c28) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#8  0xb4e62f07 in QThreadPoolThread::run (this=0x9d50de8) at concurrent/qthreadpool.cpp:108
#9  0xb4e6fb6f in QThreadPrivate::start (arg=0x9d50de8) at thread/qthread_unix.cpp:349
#10 0xb326cf70 in start_thread (arg=0xa0a75b40) at pthread_create.c:312
#11 0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 3 (Thread 0x9dcb5b40 (LWP 5571)):
#0  __GI___pthread_mutex_lock (mutex=0xa9477990) at ../nptl/pthread_mutex_lock.c:83
#1  0xb4b89af4 in pthread_mutex_lock (mutex=0xa9477990) at forward.c:192
#2  0xb2ee8100 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ea3511 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4fb195f in QEventDispatcherGlib::processEvents (this=0xa9447390, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#5  0xb4f80823 in QEventLoop::processEvents (this=this@entry=0x9dcb5098, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4f80b49 in QEventLoop::exec (this=this@entry=0x9dcb5098, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6a7b882 in Digikam::WorkerObjectRunnable::run (this=0xa9439f88) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#8  0xb4e62f07 in QThreadPoolThread::run (this=0x9d512f0) at concurrent/qthreadpool.cpp:108
#9  0xb4e6fb6f in QThreadPrivate::start (arg=0x9d512f0) at thread/qthread_unix.cpp:349
#10 0xb326cf70 in start_thread (arg=0x9dcb5b40) at pthread_create.c:312
#11 0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 2 (Thread 0x92413b40 (LWP 5599)):
#0  0xb2ea2a78 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2ea32df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ea3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4fb195f in QEventDispatcherGlib::processEvents (this=0x9ff06d28, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#4  0xb4f80823 in QEventLoop::processEvents (this=this@entry=0x92413098, flags=...) at kernel/qeventloop.cpp:149
#5  0xb4f80b49 in QEventLoop::exec (this=this@entry=0x92413098, flags=...) at kernel/qeventloop.cpp:204
#6  0xb6a7b882 in Digikam::WorkerObjectRunnable::run (this=0xbbb7318) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#7  0xb4e62f07 in QThreadPoolThread::run (this=0x9d51bf0) at concurrent/qthreadpool.cpp:108
#8  0xb4e6fb6f in QThreadPrivate::start (arg=0x9d51bf0) at thread/qthread_unix.cpp:349
#9  0xb326cf70 in start_thread (arg=0x92413b40) at pthread_create.c:312
#10 0xb4b7c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 1 (Thread 0xace4f900 (LWP 3943)):
[KCrash Handler]
#7  0x63657053 in ?? ()
#8  0xae55938e in sqlite3MemCompare (pMem1=pMem1@entry=0xbfefbcd8, pMem2=<optimized out>, pColl=0xbd219f8) at sqlite3.c:60484
#9  0xae559576 in sqlite3VdbeRecordCompare (nKey1=25, pKey1=0x8c78bdf, pPKey2=pPKey2@entry=0xbfefbf68) at sqlite3.c:64162
#10 0xae56eba2 in sqlite3BtreeMovetoUnpacked (pCur=0xb3b0418, pIdxKey=0xbfefbf68, intKey=0, biasRight=0, pRes=0xbfefbf5c) at sqlite3.c:55077
#11 0xae599009 in sqlite3VdbeExec (p=p@entry=0xb311020) at sqlite3.c:70345
#12 0xae5a1d8e in sqlite3Step (p=0xb311020) at sqlite3.c:64828
#13 sqlite3_step (pStmt=0xb311020) at sqlite3.c:64894
#14 0xa9510e9c in QSQLiteResultPrivate::fetchNext (this=this@entry=0xa8f55a8, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:235
#15 0xa9511ebd in QSQLiteResult::exec (this=0xb7e8958) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#16 0xb7717e60 in QSqlQuery::exec (this=this@entry=0xbfefc498) at kernel/qsqlquery.cpp:949
#17 0xb6a30431 in Digikam::DatabaseCoreBackend::exec (this=0x8c54918, query=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1414
#18 0xb6a31f54 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x8c54918, sql=..., bindingMap=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1246
#19 0xb6a33717 in Digikam::DatabaseCoreBackend::execSql (this=0x8c54918, sql=..., bindingMap=..., values=0x0, lastInsertId=0xbfefc5e0) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:944
#20 0xb6a33893 in Digikam::DatabaseCoreBackend::execDBAction (this=0x8c54918, action=..., bindingMap=..., values=values@entry=0x0, lastInsertId=lastInsertId@entry=0xbfefc5e0) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:653
#21 0xb6614541 in Digikam::AlbumDB::addTag (this=0x8c4d260, parentTagID=parentTagID@entry=22, name=..., iconKDE=..., iconID=0) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:673
#22 0x081ddd08 in Digikam::AlbumManager::createTAlbum (this=0x8c428b0, parent=parent@entry=0xa37b3d0, name=..., iconkde=..., errMsg=...) at /build/buildd/digikam-3.5.0/core/digikam/album/albummanager.cpp:2289
#23 0x08271641 in Digikam::TagEditDlg::createTAlbum (mainRootAlbum=0xa37b3d0, tagStr=..., icon=..., ks=..., errMap=...) at /build/buildd/digikam-3.5.0/core/digikam/tags/tageditdlg.cpp:419
#24 0x0827383d in Digikam::TagModificationHelper::slotTagNew (this=this@entry=0x942a458, parent=0xa37b3d0, title=..., iconName=...) at /build/buildd/digikam-3.5.0/core/digikam/tags/tagmodificationhelper.cpp:126
#25 0x08273c7e in Digikam::TagModificationHelper::slotTagNew (this=this@entry=0x942a458) at /build/buildd/digikam-3.5.0/core/digikam/tags/tagmodificationhelper.cpp:143
#26 0x08273e24 in Digikam::TagModificationHelper::qt_static_metacall (_o=_o@entry=0x942a458, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfefc9a8) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/tagmodificationhelper.moc:81
#27 0xb4f970f7 in QMetaObject::activate (sender=sender@entry=0xaa57730, m=0x85df3f8 <QAction::staticMetaObject>, m@entry=0xb5e37718 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0xbfefc9a8) at kernel/qobject.cpp:3539
#28 0xb54d672d in QAction::triggered (this=this@entry=0xaa57730, _t1=false) at .moc/release-shared/moc_qaction.cpp:276
#29 0xb54d8324 in QAction::activate (this=this@entry=0xaa57730, event=event@entry=QAction::Trigger) at kernel/qaction.cpp:1257
#30 0xb597cceb in QMenuPrivate::activateCausedStack (this=0xb2e2cd0, causedStack=..., action=0xaa57730, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1038
#31 0xb5981d98 in QMenuPrivate::activateAction (this=this@entry=0xb2e2cd0, action=action@entry=0xaa57730, action_e=action_e@entry=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1130
#32 0xb5985de9 in QMenu::mouseReleaseEvent (this=this@entry=0xbfefd578, e=e@entry=0xbfefcfd4) at widgets/qmenu.cpp:2372
#33 0xb60fddee in KMenu::mouseReleaseEvent (this=0xbfefd578, e=0xbfefcfd4) at ../../kdeui/widgets/kmenu.cpp:464
#34 0xb55373fa in QWidget::event (this=this@entry=0xbfefd578, event=event@entry=0xbfefcfd4) at kernel/qwidget.cpp:8376
#35 0xb59862af in QMenu::event (this=0xbfefd578, e=0xbfefcfd4) at widgets/qmenu.cpp:2481
#36 0xb54dd7f4 in QApplicationPrivate::notify_helper (this=0x8b2c038, receiver=receiver@entry=0xbfefd578, e=0xbfefcfd4) at kernel/qapplication.cpp:4567
#37 0xb54e5ea0 in QApplication::notify (this=0xbfefe228, receiver=receiver@entry=0xbfefd578, e=e@entry=0xbfefcfd4) at kernel/qapplication.cpp:4110
#38 0xb602d0a4 in KApplication::notify (this=0xbfefe228, receiver=0xbfefd578, event=0xbfefcfd4) at ../../kdeui/kernel/kapplication.cpp:311
#39 0xb4f81e4a in QCoreApplication::notifyInternal (this=0xbfefe228, receiver=receiver@entry=0xbfefd578, event=event@entry=0xbfefcfd4) at kernel/qcoreapplication.cpp:953
#40 0xb54e3b53 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#41 QApplicationPrivate::sendMouseEvent (receiver=0xbfefd578, event=event@entry=0xbfefcfd4, alienWidget=0x0, nativeWidget=nativeWidget@entry=0xbfefd578, buttonDown=buttonDown@entry=0xb5e54ce4 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#42 0xb5567ba0 in QETWidget::translateMouseEvent (this=0xbfefd578, event=event@entry=0xbfefd1fc) at kernel/qapplication_x11.cpp:4568
#43 0xb5566ec5 in QApplication::x11ProcessEvent (this=0xbfefe228, event=event@entry=0xbfefd1fc) at kernel/qapplication_x11.cpp:3627
#44 0xb5592524 in x11EventSourceDispatch (s=0x8b27d68, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#45 0xb2ea31e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#46 0xb2ea3468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#47 0xb2ea3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#48 0xb4fb193b in QEventDispatcherGlib::processEvents (this=this@entry=0x8a9ad70, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#49 0xb55925de in QGuiEventDispatcherGlib::processEvents (this=0x8a9ad70, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#50 0xb4f80823 in QEventLoop::processEvents (this=this@entry=0xbfefd4b8, flags=...) at kernel/qeventloop.cpp:149
#51 0xb4f80b49 in QEventLoop::exec (this=this@entry=0xbfefd4b8, flags=...) at kernel/qeventloop.cpp:204
#52 0xb5984e7f in QMenu::exec (this=0xbfefd578, p=..., action=action@entry=0x0) at widgets/qmenu.cpp:2125
#53 0x08283e88 in Digikam::ContextMenuHelper::exec (this=this@entry=0xbfefd55c, pos=..., at=at@entry=0x0) at /build/buildd/digikam-3.5.0/core/digikam/utils/contextmenuhelper.cpp:1110
#54 0x08202489 in Digikam::AbstractAlbumTreeView::contextMenuEvent (this=0x9425188, event=0xbfefdb50) at /build/buildd/digikam-3.5.0/core/digikam/album/albumtreeview.cpp:1048
#55 0xb5537718 in QWidget::event (this=this@entry=0x9425188, event=event@entry=0xbfefdb50) at kernel/qwidget.cpp:8554
#56 0xb593d78c in QFrame::event (this=this@entry=0x9425188, e=e@entry=0xbfefdb50) at widgets/qframe.cpp:557
#57 0xb59cbe48 in QAbstractScrollArea::viewportEvent (this=this@entry=0x9425188, e=e@entry=0xbfefdb50) at widgets/qabstractscrollarea.cpp:1043
#58 0xb5a70ddc in QAbstractItemView::viewportEvent (this=this@entry=0x9425188, event=0xbfefdb50) at itemviews/qabstractitemview.cpp:1644
#59 0xb5ab6606 in QTreeView::viewportEvent (this=0x9425188, event=0xbfefdb50) at itemviews/qtreeview.cpp:1252
#60 0xb59cc0c6 in viewportEvent (event=0xbfefdb50, this=<optimized out>) at widgets/qabstractscrollarea_p.h:100
#61 QAbstractScrollAreaFilter::eventFilter (this=0x94264e8, o=0x9425108, e=0xbfefdb50) at widgets/qabstractscrollarea_p.h:116
#62 0xb4f81fbe in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x8b2c038, receiver=receiver@entry=0x9425108, event=event@entry=0xbfefdb50) at kernel/qcoreapplication.cpp:1063
#63 0xb54dd7d1 in QApplicationPrivate::notify_helper (this=0x8b2c038, receiver=receiver@entry=0x9425108, e=0xbfefdb50) at kernel/qapplication.cpp:4563
#64 0xb54e59f3 in QApplication::notify (this=0xbfefe228, receiver=receiver@entry=0x9425108, e=e@entry=0xbfefdb50) at kernel/qapplication.cpp:4189
#65 0xb602d0a4 in KApplication::notify (this=0xbfefe228, receiver=0x9425108, event=0xbfefdb50) at ../../kdeui/kernel/kapplication.cpp:311
#66 0xb4f81e4a in QCoreApplication::notifyInternal (this=0xbfefe228, receiver=receiver@entry=0x9425108, event=0xbfefdb50) at kernel/qcoreapplication.cpp:953
#67 0xb5567809 in sendSpontaneousEvent (event=0xbfefdb50, receiver=0x9425108) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#68 QETWidget::translateMouseEvent (this=0x9425108, event=event@entry=0xbfefdd9c) at kernel/qapplication_x11.cpp:4639
#69 0xb5566ec5 in QApplication::x11ProcessEvent (this=0xbfefe228, event=event@entry=0xbfefdd9c) at kernel/qapplication_x11.cpp:3627
#70 0xb5592524 in x11EventSourceDispatch (s=0x8b27d68, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#71 0xb2ea31e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#72 0xb2ea3468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#73 0xb2ea3528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#74 0xb4fb193b in QEventDispatcherGlib::processEvents (this=this@entry=0x8a9ad70, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#75 0xb55925de in QGuiEventDispatcherGlib::processEvents (this=0x8a9ad70, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#76 0xb4f80823 in QEventLoop::processEvents (this=this@entry=0xbfefe058, flags=...) at kernel/qeventloop.cpp:149
#77 0xb4f80b49 in QEventLoop::exec (this=this@entry=0xbfefe058, flags=...) at kernel/qeventloop.cpp:204
#78 0xb4f868fe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#79 0xb54dba24 in QApplication::exec () at kernel/qapplication.cpp:3828
#80 0x080bc190 in main (argc=5, argv=0xbfefe364) at /build/buildd/digikam-3.5.0/core/digikam/main/main.cpp:235

The reporter indicates this bug may be a duplicate of or related to bug 329697.

Possible duplicates by query: bug 333671, bug 333660, bug 333642, bug 333389, bug 333243.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-04-23 01:03:46 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 Marcel Wiesweg 2014-04-23 17:12:02 UTC
The crash happens deep inside SQLite. We should first rule out any database corruption.
Please open your db file with the sqlite3 command line tool:
sqlite <...>/digikam4.db

Then type
PRAGMA integrity_check;

which should give you an "ok"
Comment 3 ki-mech 2014-04-25 21:14:38 UTC
(In reply to comment #2)
> Please open your db file with the sqlite3 command line tool:
> sqlite <...>/digikam4.db
> 
> Then type
> PRAGMA integrity_check;
> 
> which should give you an "ok"

Thanks for the suggestion (and sorry for the late answer) - yes it does give OK:

sqlite3 digikam4.db 
SQLite version 3.8.2 2013-12-06 14:53:30
Enter ".help" for instructions
Enter SQL statements terminated with a ";"
sqlite> PRAGMA integrity_check;
ok
Comment 4 caulier.gilles 2021-12-17 11:50:54 UTC
Fixed with #329697